Wine is not installed and won't install

Wine is not installed and won't install

Postby surferkiller » Sun Jan 12, 2020 1:07 am

Hello,

Im new to linux and i've chosen Zorin 15.1 as my first distro.

It said it comes with wine pre-installed however when i searched for it or "Playwithlinux" i don't find either of them.

I searched online and tried to install wine.

This is where it got me:
Code: Select all
~$ wine --version

Command 'wine' not found, but can be installed with:

sudo apt install wine-development
sudo apt install wine-stable     

~$ sudo apt install wine-stable

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
wine-stable : Depends: wine-stable-amd64 (= 4.0.3+zorin1) but it is not going to be installed
               Depends: wine-stable-i386 (= 4.0.3+zorin1)
E: Unable to correct problems, you have held broken packages.

~$ sudo apt install wine-stable-amd64

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  wine-stable-amd64
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/23,6 MB of archives.
After this operation, 221 MB of additional disk space will be used.
Selecting previously unselected package wine-stable-amd64.
(Reading database ... 329104 files and directories currently installed.)
Preparing to unpack .../wine-stable-amd64_4.0.3+zorin1_amd64.deb ...
Unpacking wine-stable-amd64 (4.0.3+zorin1) ...
Setting up wine-stable-amd64 (4.0.3+zorin1) ...
Processing triggers for libc-bin (2.28-0ubuntu1+zorin4) ...

~$ sudo apt install wine-stable
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
wine-stable : Depends: wine-stable-i386 (= 4.0.3+zorin1)
E: Unable to correct problems, you have held broken packages.

~$ sudo apt install wine-stable-i386

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
wine-stable-i386:i386 : Depends: libpulse0:i386 (>= 0.99.1) but it is not going to be installed
                         Depends: libasound2-plugins:i386 but it is not going to be installed
                         Recommends: libsdl2-2.0-0:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

~$ sudo apt install libpulse0:i386

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  apg ardour-data blender-data bolt breeze-icon-theme catdoc dkms dvgrab
  espeak-ng-data fluidr3mono-gm-soundfont fonts-dejavu fonts-dejavu-extra
  fonts-lyx fonts-sil-gentium fonts-sil-gentium-basic fonts-wqy-zenhei
  freeglut3 freepats frei0r-plugins fretsonfire-songs-muldjord
  fretsonfire-songs-sectoid frozen-bubble-data gdal-data gimp-data
  gir1.2-accountsservice-1.0 gir1.2-appindicator3-0.1 gir1.2-atspi-2.0
  gir1.2-camel-1.2 gir1.2-ebookcontacts-1.2 gir1.2-edataserver-1.2
  gir1.2-folks-0.6 gir1.2-gck-1 gir1.2-gcr-3 gir1.2-gdata-0.0 gir1.2-gdm-1.0
  gir1.2-gee-0.8 gir1.2-ges-1.0 gir1.2-gnomebluetooth-1.0 gir1.2-gsound-1.0
  gir1.2-mutter-3 gir1.2-nm-1.0 gir1.2-nma-1.0 gir1.2-telepathyglib-0.12
  gir1.2-upowerglib-1.0 gir1.2-wnck-3.0 gkbd-capplet gnome-control-center-data
  gnome-control-center-faces gnome-online-accounts gnome-shell-common
  gnome-shell-extension-zorin-appindicator gnome-shell-extension-zorin-dash
  gnome-themes-extra gnome-themes-extra-data hedgewars-data jackd kded5
  kdenlive-data kodi-data kodi-repository-kodi kodi-visualization-spectrum
  kpackagetool5 krita-data kwayland-data kwayland-integration
  libalien-sdl-perl libamd2 libaribb24-0 libarmadillo8 libarpack2 libasyncns0
  libaubio5 libbabl-0.1-0 libbasicusageenvironment1 libblosc1
  libboost-regex1.65.1 libboost-signals1.65.1 libcamd2 libcapi20-3
  libcapture-tiny-perl libccolamd2 libcddb2 libcec4 libcharls1 libcholmod3
  libcompress-bzip2-perl libcrossguid0 libcwiid1 libdap25 libdapclient6v5
  libdbusmenu-qt5-2 libdc1394-22 libdca0 libde265-0 libdirectfb-1.7-7
  libdotconf0 libdvbpsi10 libebml4v5 libebur128-1 libenca0 libepsilon1
  libepub0 libexpat1-dev libfaad2 libfam0 libfcitx-config4 libfcitx-core0
  libfcitx-qt5-1 libfcitx-utils0 libfile-which-perl libfreerdp2-2 libfreexl1
  libfyba0 libgavl1 libgdal20 libgdcm2.8 libgdm1 libgeos-3.6.2 libgeos-c1v5
  libgeotiff2 libges-1.0-0 libgif7 libglc0 libglewmx1.13 libgnomekbd-common
  libgnomekbd8 libgroupsock8 libgsoap-2.8.60 libgssdp-1.0-3 libgupnp-1.0-4
  libgupnp-igd-1.0-4 libhdf4-0-alt libheif1 libhfstospell9 libhidapi-libusb0
  libicu-le-hb0 libiculx60 libjemalloc1 libjs-iscroll libjs-jquery-ui libkate1
  libkf5archive5 libkf5attica5 libkf5auth-data libkf5auth5
  libkf5bookmarks-data libkf5bookmarks5 libkf5codecs-data libkf5codecs5
  libkf5completion-data libkf5completion5 libkf5config-bin libkf5config-data
  libkf5configcore5 libkf5configgui5 libkf5configwidgets-data
  libkf5configwidgets5 libkf5coreaddons-data libkf5coreaddons5 libkf5crash5
  libkf5dbusaddons-bin libkf5dbusaddons-data libkf5dbusaddons5
  libkf5declarative-data libkf5doctools5 libkf5filemetadata-bin
  libkf5filemetadata-data libkf5filemetadata3 libkf5globalaccel-bin
  libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5
  libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-bin
  libkf5iconthemes-data libkf5iconthemes5 libkf5idletime5 libkf5itemviews-data
  libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kiocore5
  libkf5kiofilewidgets5 libkf5kiontlm5 libkf5kiowidgets5 libkf5kirigami2-5
  libkf5newstuff-data libkf5notifications-data libkf5notifyconfig-data
  libkf5package-data libkf5package5 libkf5service-bin libkf5service-data
  libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data
  libkf5sonnetcore5 libkf5sonnetui5 libkf5textwidgets-data libkf5textwidgets5
  libkf5wallet-data libkf5waylandclient5 libkf5widgetsaddons-data
  libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5
  libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5 libkmlbase1 libkmldom1
  libkmlengine1 liblivemedia62 liblo7 liblog4cplus-1.1-9 liblrdf0 libltc11
  liblua5.1-0 liblua5.2-0 libmatroska6v5 libmetis5 libmicrodns0
  libmicrohttpd12 libminizip1 libmjpegutils-2.1-0 libmlt-data libmms0 libmng2
  libmodplug1 libmovit8 libmpcdec6 libmpeg2encpp-2.1-0 libmplex2-2.1-0
  libmypaint-1.3-0 libmypaint-common libmysqlclient20 libnetcdf13 libnfs11
  libnice10 libnss-myhostname libodbc1 libofa0 libogdi3.2 libopencolorio1v5
  libopencv-core3.2 libopencv-highgui3.2 libopencv-imgcodecs3.2
  libopencv-imgproc3.2 libopencv-ml3.2 libopencv-objdetect3.2
  libopencv-video3.2 libopencv-videoio3.2 libopenhmd0 libopenimageio1.7
  libopenmpt-modplug1 libopenvdb5.0 libopusfile0 libosmesa6 libp8-platform2
  libpcrecpp0v5 libphysfs1 libplacebo4 libpnglite0 libpolkit-qt5-1-1
  libpoppler-qt5-1 libportmidi0 libpq5 libproj12 libprotobuf-lite10
  libproxy-tools libpython3-dev libpython3.6-dev libqhull7 libqm-dsp0
  libqt5opengl5 libqt5quickcontrols2-5 libqt5quicktemplates2-5
  libqt5quickwidgets5 libqt5script5 libqt5scripttools5 libqt5texttospeech5
  libqt5xmlpatterns5 libquicktime2 libresid-builder0c2a libsbc1 libsidplay2
  libsocket++1 libsonic0 libsox-fmt-alsa libsox-fmt-base libsox3 libspandsp2
  libspatialite7 libspeechd2 libspeexdsp1 libspnav0 libsrtp2-1 libssh2-1
  libsuperlu5 libtbb2 libtelepathy-glib0 libtie-simple-perl libtiff-tools
  libtinyxml2.6.2v5 libumfpack5 libupnp6 liburiparser1 libusageenvironment3
  libvamp-sdk2v5 libvlc-bin libvlc5 libvlccore9 libvncserver1 libvo-aacenc0
  libvo-amrwbenc0 libvoikko1 libvorbisidec1 libvulkan1
  libwebrtc-audio-processing1 libwildmidi-config libwildmidi2 libwinpr2-2
  libwnck-3-0 libwnck-3-common libxdg-basedir1 libxerces-c3.2 libxklavier16
  libxres1 libyaml-cpp0.5v5 libzbar0 mesa-vulkan-drivers mixxx-data
  mobile-broadband-provider-info musescore-common mysql-common
  network-manager-gnome neverball-common neverball-data neverputt-data
  odbcinst odbcinst1debian2 openttd-data openttd-opengfx openttd-openmsx
  oxygen-icon-theme pingus-data proj-bin proj-data python-gobject
  python-matplotlib-data python-ogg python-opengl python-pydbus
  python-pyvorbis python-urllib3 python3-brlapi python3-cycler python3-gst-1.0
  python3-louis python3-macaroonbakery python3-matplotlib python3-nacl
  python3-numpy python3-protobuf python3-pyatspi python3-pymacaroons
  python3-pyparsing python3-pyqt5 python3-rfc3339 python3-sip python3-speechd
  python3-tz qml-module-qtgraphicaleffects qml-module-qtqml-models2
  qml-module-qtquick-controls qml-module-qtquick-controls2
  qml-module-qtquick-dialogs qml-module-qtquick-layouts
  qml-module-qtquick-privatewidgets qml-module-qtquick-templates2
  qml-module-qtquick-window2 qml-module-qtquick2 qt5-style-plugins
  recordmydesktop rtkit sonnet-plugins sound-icons sshfs supertux-data
  switcheroo-control synfig-examples teeworlds-data timgm6mb-soundfont
  timidity timidity-daemon ttf-unifont ubuntu-system-service vamp-plugin-sdk
  virtualbox-dkms vlc-bin vlc-data vlc-l10n vlc-plugin-notify vlc-plugin-qt
  vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-output
  vlc-plugin-video-splitter vlc-plugin-visualization warzone2100-data
  warzone2100-music xbrlapi xwayland
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libasyncns0:i386 libdbus-1-3:i386 libflac8:i386 libgcrypt20:i386
  libgpg-error0:i386 liblz4-1:i386 liblzma5:i386 libogg0:i386 libsndfile1:i386
  libsystemd0:i386 libvorbis0a:i386 libvorbisenc2:i386 libwrap0:i386
  policykit-1-gnome
Suggested packages:
  rng-tools:i386 pulseaudio:i386
The following packages will be REMOVED:
  ardour blender chrome-gnome-shell ffmpeg flare-engine flare-game focuswriter
  fretsonfire fretsonfire-game frozen-bubble gdm3 gimp gimp-gmic
  gimp-plugin-registry gimp-python gnome-control-center gnome-settings-daemon
  gnome-shell gnome-shell-extension-zorin-app-grid
  gnome-shell-extension-zorin-connect
  gnome-shell-extension-zorin-connect-browsers
  gnome-shell-extension-zorin-do-not-disturb gnome-shell-extension-zorin-menu
  gnome-shell-extension-zorin-panel gnome-shell-extension-zorin-printers
  gnome-shell-extension-zorin-screen-keyboard-button
  gnome-shell-extension-zorin-taskbar gnome-shell-extensions
  gnome-shell-extensions-zorin-desktop green-recorder gstreamer1.0-plugins-bad
  gstreamer1.0-pulseaudio gweled hedgewars kde-config-fcitx kdenlive kinit kio
  kodi kodi-bin kpackagelauncherqml krita libasound2-plugins libavdevice57
  libcanberra-pulse libdv-bin libespeak-ng1 libfluidsynth1
  libfreerdp-client2-2 libgegl-0.4-0 libgimp2.0 libkf5declarative5
  libkf5newstuff5 libkf5newstuffcore5 libkf5notifications5 libkf5notifyconfig5
  libkf5quickaddons5 libkf5wallet-bin libkf5wallet5 libkwalletbackend5-5
  libmikmod3 libmlt++3 libmlt6 libobs0 libpcaudio0 libphonon4qt5-4
  libpulse-mainloop-glib0 libpulse0 libpulsedsp libqgsttools-p1
  libqt5multimedia5 libqt5multimedia5-plugins libqt5multimediaquick-p5
  libqt5multimediawidgets5 librtaudio6 libsdl-gfx1.2-5 libsdl-image1.2
  libsdl-mixer1.2 libsdl-pango1 libsdl-perl libsdl-ttf2.0-0 libsdl1.2debian
  libsdl2-2.0-0 libsdl2-image-2.0-0 libsdl2-mixer-2.0-0 libsdl2-net-2.0-0
  libsdl2-ttf-2.0-0 libsmpeg0 libsynfig0 melt mixxx mplayer musescore
  neverball neverputt obs-plugins obs-studio openttd orca osspd
  osspd-pulseaudio phonon4qt5 phonon4qt5-backend-vlc pingus pitivi pulseaudio
  pulseaudio-module-bluetooth pulseaudio-utils python-pygame
  qml-module-org-kde-kirigami2 qml-module-org-kde-kquickcontrolsaddons
  qml-module-org-kde-newstuff qml-module-qtmultimedia remmina-plugin-rdp
  speech-dispatcher speech-dispatcher-audio-plugins
  speech-dispatcher-espeak-ng supertux synfigstudio teeworlds virtualbox
  virtualbox-qt vlc vlc-plugin-base warzone2100 wine-stable-amd64
  zorin-appearance-layouts-shell-core zorin-connect zorin-desktop-session
  zorin-os-desktop
The following NEW packages will be installed:
  libasyncns0:i386 libdbus-1-3:i386 libflac8:i386 libgcrypt20:i386
  libgpg-error0:i386 liblz4-1:i386 liblzma5:i386 libogg0:i386 libpulse0:i386
  libsndfile1:i386 libsystemd0:i386 libvorbis0a:i386 libvorbisenc2:i386
  libwrap0:i386 policykit-1-gnome
0 upgraded, 15 newly installed, 130 to remove and 0 not upgraded.
Need to get 1850 kB of archives.
After this operation, 1018 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.


It wants to delete almost everything from Zorin which i really don't want.
I would appreciate any help given.
User avatar
surferkiller
 
Posts: 1
Joined: Sun Jan 12, 2020 12:42 am

Re: Wine is not installed and won't install

Postby Swarfendor437 » Sun Jan 12, 2020 3:02 pm

Well if you want to risk the security of Zorin (or any Linux distribution) then to install wine, first install Synaptic Package Manager from the Software Channel, and remember to NEVER to log into Zorin Wayland DE - you cannot use Synaptic and basically Wayland is a Wayste of time! Once Synaptic is installed, launch it (you will be asked for your login password to elevate you to 'root' (administrator) and search for Wine - you need version 4. Everything should work then. I don't remember seeing that 15.1 includes wine - where did you see that? ;) :D
https://vimeo.com/user15592214
https://www.deviantart.com/swarfendor437
https://trisquel.info/

Machine: ASUS X470-PRO, AMD Ryzen 7 1700X 8 Core, 16 Gb RAM, ZOTAC Geforce GT1030 (2 Gb)
User avatar
Swarfendor437
 
Posts: 11093
Joined: Wed Sep 18, 2013 5:51 pm

Re: Wine is not installed and won't install

Postby Aravisian » Sun Jan 12, 2020 4:18 pm

In addition to Swarfs excellent advice (Synaptic is very useful), you could also install from terminal following the following guide:
https://computingforgeeks.com/how-to-in ... x-mint-19/

As far as reading that Zorin comes with Wine: Most previous editions of Zorin did come with Wine pre-packaged. I can see how someone could have read that but not noticed it was referring to Zorin 12 rather than 15.
User avatar
Aravisian
 
Posts: 1411
Joined: Sun Dec 30, 2018 6:51 am

Re: Wine is not installed and won't install

Postby carmar » Sun Jan 12, 2020 10:28 pm

PlayonLinux is all you need. Wine will come with it.

Wine was not preinstalled for me either - using Core 15.1. May be on my Ultimate image but given how well Core works I have little incentive to install Ultimate.
Attachments
pol.png
User avatar
carmar
 
Posts: 135
Joined: Wed Jun 26, 2019 4:02 pm

Re: Wine is not installed and won't install

Postby Swarfendor437 » Mon Jan 13, 2020 2:08 pm

I've discovered a new way to install Wine in 15.1 - I was looking at graphing calculator packages that might be available. The only one I could find was a TI (Texas Instruments) emulator but was dependent on ROMs - found those but feel it is not working correctly. Spotted some Windows emulators (.exe) right-clicked one of the .exe emulator packages and selected properties and changed permissions tab to allow to run as a program.
Then I double-clicked it and I was asked if I wanted to install Windows application package - it then pulls in all the necessary Wine packages, including PlayOnLinux! ;) :D
https://vimeo.com/user15592214
https://www.deviantart.com/swarfendor437
https://trisquel.info/

Machine: ASUS X470-PRO, AMD Ryzen 7 1700X 8 Core, 16 Gb RAM, ZOTAC Geforce GT1030 (2 Gb)
User avatar
Swarfendor437
 
Posts: 11093
Joined: Wed Sep 18, 2013 5:51 pm

Return to Help and Support

Who is online

Users browsing this forum: No registered users and 8 guests